package com.ruoyi.project.system.enums;

import com.fasterxml.jackson.annotation.JsonValue;

public enum CalculateEnum implements BaseEnum {
    LADDER(0, "梯度"),

    FORMULAR(1, "公式"),
    ;


    CalculateEnum(Integer code, String value) {
        this.code = code;
        this.value = value;
    }

    @JsonValue
    private Integer code;

    private String value;

    @Override
    public Integer getCode() {
        return code;
    }

    @Override
    public String getValue() {
        return value;
    }
}
